/* 
 * Eneso Human Interface Device Library
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __EHID_H__
#define __EHID_H__

#include <glib.h>

typedef void (*EHidConnectedCb)	 	(guint vid, guint pid);
typedef void (*EHidDisconnectedCb)	(void);
typedef void (*EHidMessageCb)		(gchar* message, guint n_bytes);

void
ehid_init		(gchar* name, guint vid, guint pid, guint input_length, guint output_length,
				 EHidConnectedCb connected_cb, EHidDisconnectedCb disconnected_cb,
				 EHidMessageCb message_cb);
void
ehid_terminate	(void);
void
ehid_search		(void);
void
ehid_receive	(void);
void
ehid_send		(gchar* message);

#endif /* __EHID_H__ */
