/* 
 * enPathia
 * Eneso Tecnología de Adaptación, S.L. 
 */

#ifndef __MENU_H__
#define __MENU_H__

#include <glib.h>
#include "action.h"

#define N_MENU_SIZES	3

typedef struct
{
	guint	n_actions;
	Action*	actions;
}
Menu;

extern Menu	menu_moving;
extern Menu	menu_dragging;

extern gboolean	showing_menu;
extern gboolean	menu_disabled;

void 
create_menu 			(void);
void
show_menu 				(gint x, gint y);
void
hide_menu 				(void);
void
set_menu_size			(gint menu_size);
void
change_menu 			(Menu* menu);
void
menu_handle_movement	(gchar movement);
void
menu_handle_stopped 	(void);
void
set_menu_disabled		(gboolean disabled);

#endif /* __MENU_H__ */
